var redis = require('redis');
var redisClient;

var config;
var logger;

function init(options) {
    if (options.config) {
        config = options.config;
    } else {
        console.log('Undefined options.config, terminating....')
        process.exit(1);
    }

    if (options && options.logger) {
        logger = options.logger;
    } else {
        console.log('Undefined options.logger, terminating....')
        process.exit(1);
    }

    //_createRedisClient(config.globals.redis_host, config.globals.redis_port);
}

function _createRedisClient(host, port) {
    if (!host || !port) return;
    
    try {
        redisClient = redis.createClient(port, host);
        logger.verbose('Common redis client created');
    } catch(err) {
        logger.warn("Error creating redis client");
        process.exit(1);
    }
}

function getClient() {
    if (!redisClient) {
        _createRedisClient(config.globals.redis_host, config.globals.redis_port);
    }
    return redisClient;
}

exports.init = init;
exports.getClient = getClient;
